> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unbridaled.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Place Order

> Place an order by specifying skus and quantities.

## Returns

Returns an `Order` object if successful.



## OpenAPI

````yaml post /api/v3/orders/place
openapi: 3.1.0
info:
  title: Unbridaled Marketplace Merchant API v3
  description: Developer API to integrate with Unbridaled Marketplace (v3)
  version: 3.0.0
servers:
  - url: https://api-staging.unbridaled.ai
    description: Sandbox API
  - description: Production API
    url: https://api.unbridaled.ai
security:
  - apikeyAuth: []
tags:
  - name: Diamonds
  - name: Inventory
  - name: Orders
  - name: Merchant Templates
  - name: Merchant Addresses
  - name: Profit Margins
  - name: Defaults
paths:
  /api/v3/orders/place:
    post:
      tags:
        - Orders
      summary: Place Order
      description: |-
        Place an order by specifying skus and quantities.

        ## Returns

        Returns an `Order` object if successful.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                line_items:
                  type: array
                  description: Array of LineItem objects
                  items:
                    type: object
                    properties:
                      sku:
                        type: string
                        description: SKU of the product
                      quantity:
                        type: integer
                        description: Quantity to order for this line item
                    required:
                      - sku
                      - quantity
                order_type:
                  type: string
                  description: Type of order.
                  enum:
                    - invoice
                    - memo
                order_reference:
                  type: string
                  description: >-
                    A friendly order reference sent to the end customer by
                    Shopify or other ecommerce platforms. Must be unique per
                    merchant per order.
                external_order_id:
                  type: string
                  description: >-
                    The order ID or order number from Shopify or other ecommerce
                    platforms, used to link orders between systems. Must be
                    unique per merchant per order.
                notes:
                  type: string
                  description: Custom notes on the order
                shipping_address_id:
                  type: string
                  format: uuid
                  description: >-
                    UUID of a merchant shipping address. Defaults to the
                    merchant's default shipping address if not provided.
                    Retrieve available addresses via the List Merchant Addresses
                    endpoint.
              required:
                - line_items
                - order_type
                - external_order_id
            examples:
              CreateOrderRequest:
                value:
                  order_type: invoice
                  order_reference: '999917'
                  external_order_id: '777717'
                  line_items:
                    - sku: UB1E29776FA7
                      quantity: 1
        description: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  uuid:
                    type: string
                  order_type:
                    type: string
                  merchant_uuid:
                    type: string
                  order_reference:
                    type: string
                  order_id:
                    type: string
                  fulfillment_status:
                    type:
                      - string
                      - 'null'
                  payment_status:
                    type:
                      - string
                      - 'null'
                  line_items:
                    type: array
                    items:
                      type: object
                      properties:
                        sku:
                          type: string
                        quantity:
                          type: integer
                        price:
                          type: number
              example:
                uuid: 973c4c41-ce72-42c5-b184-3f0d8d4bb1af
                billing_address:
                  address_1: 820 Innes Ave.
                  address_2: ''
                  city: San Francisco
                  country_code: USA
                  postal_code: '94124'
                  region: CA
                fulfillments: []
                line_items:
                  - created_on: '2021-12-15T17:53:29.091914+00:00'
                    description: ''
                    fulfilled_quantity: 0
                    fulfillment_status: null
                    name: Gem UB1E29776FA7
                    position: 0
                    price: 1.625
                    product_type: gem
                    quantity: 1
                    sku: UB1E29776FA7
                    uuid: f1131af3-50ef-42b9-a577-e8cb0a07e1f3
                merchant_uuid: 419c61fa-e674-414a-a1e2-7c5270ed9668
                notes: ''
                order_reference: '9999171'
                external_order_id: '7777171'
                order_type: invoice
                ordered_on: '2021-12-15T17:57:09.046284+00:00'
                payment_status: null
                fulfillment_status: null
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: bearer

````